<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<h2 class="post-title"><?php dcPostTitle(); ?></h2>
	<p class="post-info"><?php dcPostDate(); ?> / <?php dcPostTime(); ?>
	</p>
	
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>
	
	
</div>

<div id="comments">
	<h3 id="co">Comments</h3>
	<?php if ($comments->isEmpty()) : /* Message si aucune commentaire */	?>
		<p>Hein que tu va me mettre un commentaire? Hein? Hein? Tu sais que a me feras super plaisir, alors tu va le faire? Hein? Hein?</p>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
	
		// me or not me ?
		    $me = $comments->f('comment_auteur') == 'annso';

		// On met le numro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		<div class="comment-info">
			<span class="comment-author"><?php dcCommentAuthor(); ?></span> 
			<span class="comment-date">( <?php dcCommentDate(); ?> &agrave; <?php dcCommentTime(); ?> )</span>
		
		
		<?php /* on affiche le commentaire */ ?>
		<blockquote <?php if ($me) { echo 'class="me"';  } ?>>
		<?php dcCommentContent(); ?>
		</blockquote>
		</div>
	<?php endwhile; ?>
	
	<h3>Talk to me baby! </h3>
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p>J'veux pas vous entendre! Vos bouches!</p>
	<?php endif; ?>
</div>
